commit:     e0ea92cdd970d1f4c0b532c65bf5b8a18232aa47
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Tue Oct 11 17:33:59 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Oct 20 23:54:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0ea92cd

app-misc/gramps: Support Python 3.5 and fix dependencies

Also replaced versioned_doc_dir.patch that doesn't use ${PF}

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2517

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-misc/gramps/gramps-4.2.4-r1.ebuild | 42 ++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/app-misc/gramps/gramps-4.2.4-r1.ebuild 
b/app-misc/gramps/gramps-4.2.4-r1.ebuild
new file mode 100644
index 00000000..a622f92
--- /dev/null
+++ b/app-misc/gramps/gramps-4.2.4-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5} )
+
+DISTUTILS_SINGLE_IMPL=1
+inherit distutils-r1
+
+DESCRIPTION="Genealogical Research and Analysis Management Programming System"
+HOMEPAGE="https://gramps-project.org/";
+SRC_URI="https://github.com/gramps-project/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+reports +exif spell"
+
+RDEPEND="
+       dev-python/bsddb3[${PYTHON_USEDEP}]
+       dev-python/pycairo[${PYTHON_USEDEP}]
+       >=dev-python/pygobject-3.12:3[cairo,${PYTHON_USEDEP}]
+       dev-python/pyicu[${PYTHON_USEDEP}]
+       gnome-base/librsvg:2
+       >x11-libs/gtk+-3.14.8:3[introspection]
+       x11-libs/pango[introspection]
+       x11-misc/xdg-utils
+       reports? ( media-gfx/graphviz )
+       exif? ( >=media-libs/gexiv2-0.5[${PYTHON_USEDEP},introspection] )
+       spell? ( app-text/gtkspell:3[introspection] )
+"
+
+PATCHES=(
+       "${FILESDIR}/${P}-resourcepath.patch"
+)
+
+python_prepare_all() {
+       sed -i "s:share/doc/gramps:share/doc/${PF}:g" setup.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to